漏洞综述

漏洞背景

PHP(Hypertext Preprocessor)即“超文本预处理器”,是在服务器端执行的脚本语言,尤其适用于Web开发并可嵌入HTML中。PHP语法利用了C、Java和Perl,该语言的主要目标是让web开发人员快速编写动态网页。前段时间,监测到PHP官方发布通告称,有人入侵了PHP编程语言的官方Git服务器:http://git.php.net,并提交了包含后门文件的更新包。

漏洞原理

该事件是黑客利用具有git权限的账户提交了一个恶意commit,给PHP源码的zlib扩展增加了一个后门,当发现请求特殊的HTTP头部中包含字符串zerodium时,则用eval执行User-Agent第8位字符后内容。利用该后门,攻击者可以执行任意命令,对于任何使用了存在后门PHP的服务器来说都有巨大的风险和威胁。

漏洞复现

搭建8.1.0-dev版本PHP漏洞环境,成功复现该漏洞。

影响范围

影响范围

目前受影响的PHP版本:
PHP 8.1.0-dev
git commit ID
[c730aa26bd52829a49f2ad284b181b7e82a68d7d -2b0f239b211c7544ebc7a4cd2c977a5b7a11ed8a]

严重等级

严重等级

高危

处置方法

官方补丁

当前官方已发布最新版本,建议受影响的用户及时更新到最新版本


欢迎关注编程学习网,获取更多php资讯